%global pkgname AutoDoc

Name:           gap-pkg-autodoc
Version:        2016.12.04
Release:        2%{?dist}
Summary:        Generate documentation from GAP source code

License:        GPLv2+
URL:            http://gap-packages.github.io/AutoDoc/
Source0:        https://github.com/gap-packages/AutoDoc/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex

Requires:       gap-core
Requires:       GAPDoc-latex

%description
This package is an add-on to GAPDoc that enables generating
documentation from GAP source code.

%prep
%setup -q -n %{pkgname}-%{version}

%build
mkdir ../pkg
ln -s ../AutoDoc-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{doc/clean,CHANGES,COPYING,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,idx,ilg,ind,log,out,pnr,toc}

%files
%doc README CHANGES
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.12.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 10 2016 Jerry James <loganjerry@gmail.com> - 2016.12.04-1
- New upstream version

* Wed Nov 30 2016 Jerry James <loganjerry@gmail.com> - 2016.11.26-1
- New upstream version (bz 1400110)

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 2016.03.08-1
- New upstream version (bz 1314938)

* Thu Feb 18 2016 Jerry James <loganjerry@gmail.com> - 2016.02.16-1
- New upstream version (bz 1309144)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2016.01.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb  1 2016 Jerry James <loganjerry@gmail.com> - 2016.01.31-1
- New upstream version (bz 1303471)

* Thu Jan 21 2016 Jerry James <loganjerry@gmail.com> - 2016.01.21-1
- New upstream version (bz 1300867)

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 2015.09.30-1
- New upstream version
- Update URLs
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source

* Mon Jun 22 2015 Jerry James <loganjerry@gmail.com> - 2015.04.29-2
- Remove erroneous isa tags
- Do not package 0-byte files

* Fri Jun 19 2015 Jerry James <loganjerry@gmail.com> - 2015.04.29-1
- Initial RPM (bz 1233984)
